Bug 4494 - Staff client incorrectly reports no copies available to be placed on hold
Summary: Staff client incorrectly reports no copies available to be placed on hold
Status: CLOSED WORKSFORME
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Galen Charlton
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-12 03:16 UTC by Owen Leonard
Modified: 2014-12-07 20:02 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:27:51 UTC


---- Reported by oleonard@myacpl.org 2010-05-12 15:16:57 ----

If you try to place a hold on a title for a patron who has too many holds, the staff client displays two error messages: 

    *  Too Many Holds:  Chloe Leonard  has too many holds.
    * No copies are available to be placed on hold

The second message is incorrect: copies would be available to be placed on hold were the patron not blocked by the hold limit. "Available to be placed on hold" should refer only to the state of the items themselves.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:27 UTC  ---

This bug was previously known as _bug_ 4494 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=4494

Actual time not defined. Setting to 0.0
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.

Comment 1 MJ Ray (software.coop) 2013-01-16 16:17:34 UTC
I just tested this and "Too Many Holds: Henry Acevedo has too many holds." now appears without "No copies are available to be placed on hold" so I think this has been fixed without being noted here yet.